Debian Bug report logs - #64283
Odd font behaviour in ddd

version graph

Package: ddd; Maintainer for ddd is Daniel Schepler <schepler@debian.org>; Source for ddd is src:ddd.

Reported by: Toby White <tow@theor.ch.cam.ac.uk>

Date: Wed, 17 May 2000 18:05:56 UTC

Severity: normal

Merged with 64265

Found in version 3.2.1-3

Fixed in version ddd/1:3.3.1-1

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#64283; Package ddd. Full text and rfc822 format available.

Acknowledgement sent to Toby White <tow@theor.ch.cam.ac.uk>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Toby White <tow@theor.ch.cam.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Odd font behaviour in ddd
Date: Wed, 17 May 2000 17:49:12 +0100
Package: ddd
Version: 3.2.1-3
Severity: normal

When ddd first starts up on my system, the fonts and helpers
menu under Edit->Preferences do not show the selectors properly,
so I am unable to change font. (It also starts up with an enormous 
size font - this may be a function of my setup, but I don't think
it's a font I use). If however, I start it up as eg

ddd -fn "-sony-fixed-medium-r-normal-*-*-150-*-*-c-*-iso8859-1"

then, although as far as I can see, that particular font is not used, 
ddd does use a more sensibly sized font, and also the fonts & helpers
menus now work more or less properly.

Toby

-- System Information
Debian Release: 2.2
Architecture: i386
Kernel: Linux bit 2.2.14 #1 Wed Jan 12 18:42:45 GMT 2000 i686

Versions of packages ddd depends on:
ii  lesstif1                     1:0.89.4-3  OSF/Motif implementation released 
ii  libc6                        2.1.3-10    GNU C Library: Shared libraries an
ii  libncurses5                  5.0-6       Shared libraries for terminal hand
ii  libstdc++2.10                1:2.95.2-10 The GNU stdc++ library            
ii  xlib6g                       3.3.6-6     shared libraries required by X cli
ii  xpm4g [libxpm4]              3.4k-5      the X PixMap library              




Merged 64265 64283. Request was from "J.H.M. Dassen (Ray)" <jhm@cistron.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 64265 64283. Request was from "J.H.M. Dassen (Ray)" <jhm@cistron.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#64283; Package ddd. Full text and rfc822 format available.

Acknowledgement sent to jdassen@debian.org:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #14 received at 64283@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jhm@cistron.nl>
To: 64283@bugs.debian.org, 64265@bugs.debian.org
Subject: DDD font issues
Date: Sun, 28 May 2000 16:42:45 +0200
Toby, Exa reported the same problem; see http://bugs.debian.org/64265 .

Exa, please try if the workarounds I suggest here work for you.

Following Exa's mention of using xfs-xtt, I've done a bit of testing, and
now suspect xfs-xtt is responsible for the problem you reported, but I want
confirmation for my suspicions.

Toby, please tell me
- Are you using an X font server? If so which?

  [I've been able to reproduce the problem only when I using one (xfs-xtt)]

- What's the output of the following on your system?
	xlsfonts -fn '-*-helvetica-bold-r-*-*-*-120-*-*-*-*-iso8859-*'
	xlsfonts -fn '-*-helvetica-medium-r-*-*-*-120-*-*-*-*-iso8859-*'
	xlsfonts -fn '-*-lucidatypewriter-medium-r-*-*-*-120-*-*-*-*-iso8859-*'
	xlsfonts -fn '-*-symbol-*-*-*-*-*-120-*-*-*-*-adobe-*'
  (these are the default font patterns used by DDD, in ddd/fonts.C).

  [On my system, I get a bogus listing of 
	-urw-nimbus sans l-bold-r-condensed--0-120-0-0-p-0-iso8859-1
	-urw-nimbus sans l-bold-r-normal--0-120-0-0-p-0-iso8859-1
  on the first, which I suspect is responsible for both the "enormous" font
  you see and the font selection not working.]


and, assuming you are using an X font server
- Can you reproduce the problem when you're not using the font server?
  (Do "xset fp", then "xset fp rehash", then start DDD)

  [I couldn't on my system.]

- Does the problem go away if you change your X font server's configuration
  to only serve your truetype fonts, not the default directories like
  /usr/X11R6/lib/X11/fonts/misc and friends?

  [It did on my system.]

TIA,
-- 
Ray Dassen <jhm@cistron.nl>



Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Toby White <tow@theor.ch.cam.ac.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 64265-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 64265-close@bugs.debian.org
Subject: Bug#64265: fixed in ddd 1:3.3.1-1
Date: Sun, 13 May 2001 14:54:08 -0400
We believe that the bug you reported is fixed in the latest version of
ddd, which has been installed in the Debian FTP archive:

ddd_3.3.1-1.diff.gz
  to pool/main/d/ddd/ddd_3.3.1-1.diff.gz
ddd_3.3.1-1_i386.deb
  to pool/main/d/ddd/ddd_3.3.1-1_i386.deb
ddd-doc_3.3.1-1_all.deb
  to pool/main/d/ddd/ddd-doc_3.3.1-1_all.deb
ddd_3.3.1.orig.tar.gz
  to pool/main/d/ddd/ddd_3.3.1.orig.tar.gz
ddd_3.3.1-1.dsc
  to pool/main/d/ddd/ddd_3.3.1-1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 64265@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated ddd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Sat, 12 May 2001 20:29:38 +0200
Source: ddd
Binary: ddd-doc ddd
Architecture: source all i386
Version: 1:3.3.1-1
Distribution: unstable
Urgency: low
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 ddd        - The Data Display Debugger, a graphical debugger frontend.
 ddd-doc    - Additional documentation for the Data Display Debugger.
Closes: 58880 64265 64283 65010
Changes: 
 ddd (1:3.3.1-1) unstable; urgency=low
 .
   * Oops... I messed up the version number. *sigh*
   * This upstream release fixes the perl problems. (Closes: #65010)
   * Reported problems with font selection and UI behaviour appear to be
     unreproducable. (Closes: #58880, #64265, #64283).
Files: 
 98a6921e7f3a1d6835c0b6dca50e333e 1016 devel optional ddd_3.3.1-1.dsc
 38589618d7cd02a03d062bb116bbf1d2 5820713 devel optional ddd_3.3.1.orig.tar.gz
 b9ae0828ff52d29f5be8facd26d80bff 12200 devel optional ddd_3.3.1-1.diff.gz
 aaa167c7ad09842ae699f5a4502625e5 2344746 doc optional ddd-doc_3.3.1-1_all.deb
 41b3c7c68f24ac06e403d112a73aa99e 1567376 devel optional ddd_3.3.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.5 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQEXAwUBOv2LVwxJU8feGmjHFAMdVQP+PIECQnS25c4ark6twWQ20/3kK7JusHqk
cUHFHLuDiQaFB9bqUlZKI/r+p0gLQl+9/J5ClvHaxxf0egYd/GbJaJxyM0Y8QKNl
bz8giHqql7qgbSkUgnKNeFfyEEfN7sT7cEpUjGh96nBI8IC+maQWiZ0s/Du1gzp5
zbHWDMpa71AD/1M2VV4IXWgqC/1wPj5u2a6ZBtpTa8uGQk4Y/Lg+n3XW01/7x/Yx
dwvBH50j7JYe5VBTsEsdC2QsQOB49rfK/G7EW7KJ6J0daNUPxuIAUhiLw1HA8sTT
tbQlrCdP2nidYius21GipBJc6ijfsEddW3blt0WATef5vzEjKFv5Ly1C
=jBwK
-----END PGP SIGNATURE-----




Message #20 received at 64283-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 64283-close@bugs.debian.org
Subject: Bug#64283: fixed in ddd 1:3.3.1-1
Date: Sun, 13 May 2001 14:54:08 -0400
We believe that the bug you reported is fixed in the latest version of
ddd, which has been installed in the Debian FTP archive:

ddd_3.3.1-1.diff.gz
  to pool/main/d/ddd/ddd_3.3.1-1.diff.gz
ddd_3.3.1-1_i386.deb
  to pool/main/d/ddd/ddd_3.3.1-1_i386.deb
ddd-doc_3.3.1-1_all.deb
  to pool/main/d/ddd/ddd-doc_3.3.1-1_all.deb
ddd_3.3.1.orig.tar.gz
  to pool/main/d/ddd/ddd_3.3.1.orig.tar.gz
ddd_3.3.1-1.dsc
  to pool/main/d/ddd/ddd_3.3.1-1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 64283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated ddd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Sat, 12 May 2001 20:29:38 +0200
Source: ddd
Binary: ddd-doc ddd
Architecture: source all i386
Version: 1:3.3.1-1
Distribution: unstable
Urgency: low
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 ddd        - The Data Display Debugger, a graphical debugger frontend.
 ddd-doc    - Additional documentation for the Data Display Debugger.
Closes: 58880 64265 64283 65010
Changes: 
 ddd (1:3.3.1-1) unstable; urgency=low
 .
   * Oops... I messed up the version number. *sigh*
   * This upstream release fixes the perl problems. (Closes: #65010)
   * Reported problems with font selection and UI behaviour appear to be
     unreproducable. (Closes: #58880, #64265, #64283).
Files: 
 98a6921e7f3a1d6835c0b6dca50e333e 1016 devel optional ddd_3.3.1-1.dsc
 38589618d7cd02a03d062bb116bbf1d2 5820713 devel optional ddd_3.3.1.orig.tar.gz
 b9ae0828ff52d29f5be8facd26d80bff 12200 devel optional ddd_3.3.1-1.diff.gz
 aaa167c7ad09842ae699f5a4502625e5 2344746 doc optional ddd-doc_3.3.1-1_all.deb
 41b3c7c68f24ac06e403d112a73aa99e 1567376 devel optional ddd_3.3.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.5 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQEXAwUBOv2LVwxJU8feGmjHFAMdVQP+PIECQnS25c4ark6twWQ20/3kK7JusHqk
cUHFHLuDiQaFB9bqUlZKI/r+p0gLQl+9/J5ClvHaxxf0egYd/GbJaJxyM0Y8QKNl
bz8giHqql7qgbSkUgnKNeFfyEEfN7sT7cEpUjGh96nBI8IC+maQWiZ0s/Du1gzp5
zbHWDMpa71AD/1M2VV4IXWgqC/1wPj5u2a6ZBtpTa8uGQk4Y/Lg+n3XW01/7x/Yx
dwvBH50j7JYe5VBTsEsdC2QsQOB49rfK/G7EW7KJ6J0daNUPxuIAUhiLw1HA8sTT
tbQlrCdP2nidYius21GipBJc6ijfsEddW3blt0WATef5vzEjKFv5Ly1C
=jBwK
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 12:08:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.